function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id);
  sendersProcessing(sender, obj_id, attachedID);
  if wrongItemWarning(sender, obj_id, attachedID, "vilka_2_1") then
    return
  end
  if sender==1 then
    if obj_id == 3 then
      if obj.vilka_2_1 and attachedID == obj.vilka_2_1.id then
        Block_Show_Cur(true)
        removeFromMouse()
        playeffect("vilka")
        UnStoreObj(obj.vilka_2_1.id)
        speciale_action(2,3,true,1)
        speciale_action(2,2,true,1)
        StartTimer(timerID,1.1,"frame1")
      else
        CreatePlashechka("614")
      end
    end
  end
  if sender == 26 then

  --  CloseSatelite()
  end
  if sender == 30 then
    if neighbors.roots.lock then
    --  dofile("./data/12/0/comics.lua")
    CreatePlashechka("686")
    
    end
  end
end

function frame1()
  SetObjectPosition(obj.shpilka_12_14.id,2000,2000)
  speciale_action(2,1,true,1)
  speciale_action(2,2,true,1)
  StartTimer(timerID,1.1,"frame2")
end

function frame2()
  speciale_action(2,1,true,1)
  StartTimer(timerID,1,"frame3")
end

function frame3()
  Block_Show_Cur(false)
    -- Journal:addText(6,"9008",148,382,330)
    -- Journal:addText(6,"9009",542,400,330)
    -- Journal:addPicture(6,"page6",147,44,0,0,810,392);  
  StoreObj(obj.shpilka_12_14.id)
  neighbors.roots.lock = true
  neighbors.BesedkaHidden.lock = false
end